Main Page Groups Namespaces

# sigc::type_trait< T_type & > Struct Template Reference

List of all members.

## Public Types

typedef T_type | type
typedef T_type& | pass
typedef T_type& | take
typedef T_type* | pointer

### template <class T_type>
struct sigc::type_trait< T_type & >

## Member Typedef Documentation

template <class T_type>

typedef T_type sigc::type_trait<T_type&>::type

template <class T_type>

typedef T_type& sigc::type_trait<T_type&>::pass

template <class T_type>

typedef T_type& sigc::type_trait<T_type&>::take

template <class T_type>

typedef T_type* sigc::type_trait<T_type&>::pointer

The documentation for this struct was generated from the following file:

- type_traits.h